// Fichier "OneTooth-dat.pro"

mm = 1.e-3; // mm -> m

/*
  x -> longueur		-- gauche, droite
  y -> hauteur		-- haut, bas
  z -> paisseur	-- avant, arrire
*/

// core
lx_core = 30. * mm;
ly_core = 100. * mm;
lz_core = 30. * mm;

// coil
th_coil = 10. * mm;
ri_coil = (lx_core^2. + lz_core^2.)^0.5 / 2. + 1. * mm;
re_coil = ri_coil + th_coil;
ly_coil = 50. * mm;

// plate
airgap = 2. * mm;
th_plate = 20. * mm;
ri_plate = ((lx_core/2.)^2. + (ly_core/2.)^2.)^0.5 + airgap;
re_plate = ri_plate+th_plate;
lz_plate = lz_core + 10. * mm;

// la bote  air
bordure = 20. * mm;
axl = -re_plate - bordure; //left of airbox 
axr =  re_plate + bordure; //right of airbox 
ayb = -re_plate - bordure; //bottom of airbox
ayt =  re_plate + bordure; //top of airbox
azb =  0.; //back of airbox
azf =  re_coil +  bordure; //front of airbox

// les entits physiques
AIR    = 9001;
CORE   = 9002;
COIL   = 9003;
PLATE  = 9004;

AIR_INF      = 9011;
SKIN_PLATE   = 9012;
SKIN_CORE    = 9013;
CUT_SYMMETRY = 9014;

// EOF
